<!DOCTYPE html>

<html>

<head>
	<title>HTML forms</title>
</head>

<body>
	<header>
		<h1>HTML Forms</h1>

		<p><em>Input elements that make a form</em></p>

		
	</header>
	<!-- Create an HTML form to capture user input -->
	<main>
		<form action="https://www.google.com/" method="POST">
			<!-- Create and input field to capture user inputs -->
			<!-- accepts name input -->
			<label for="full-name">Full Name:</label>
			<input  type="text" name="full_name" id="full-name">
			
			<br>
			<!-- Accepts birthdate input -->
			<label for="birth-date">Birth Date:</label>
			<input type="date" name="data" id="birth-date">
			<br>
			<br>
			<label for="age">Age"</label>
			<input type="number" name="age" id="age">
			<br>


			<!-- Accepts from the list of options thru a dropdown -->
			<label for="gender">Gender:</label>
			<select name="gender" id="gender">
				<option value="male">Male</option>
				<option value="female">Female</option>
				<option value="other">other</option>
			</select>
			<br>

			<!-- Accepts a large text input -->
			<label for="notes">Notes"</label>
			<br>
			<textarea name="notes" id="notes"></textarea>
			<br>

			<!-- Accepts input from a list of option w/ one choice only -->
			<label for="user-type1">
				Yes <input type="radio" name="new_user" id="user-type1" value="yes">
			</label>
			<label for="user-type2">
				No <input type="radio" name="new_user" id="user-type2" value="no">
			</label>
			<br>
			<!-- Accepts input from a list of options w/ multiple chioice -->

			<label for="role1">
				Developer <input type="checkbox" name="role1" id="role1" valie="developer">
			</label>
			<label for="designer">
				Designer <input type="checkbox" name="role2" id="role2" valie="designer">
			</label>
			<label for="role3">
				Manager <input type="checkbox" name="role3" id="role3" valie="manager">
			</label>
			<br>
			<input type="reset">
			
			<br>
			<!-- Creates a button that will submit the form data -->
			<br>
			<br>
			<input type="submit" value="submit">
			<br>

		</form>
	</main>
</body>
</html>